## visad
Class DelaunayClarkson

    java.lang.Object
      visad.Delaunay
          visad.DelaunayClarkson

All Implemented Interfaces:
  Serializable

public class DelaunayClarkson
extends Delaunay

DelaunayClarkson represents an O(N*logN) method with high overhead to find the Delaunay triangulation of a set of samples of R^DomainDimension.

See Also:
  Serialized Form

Field Summary

Fields inherited from class visad.Delaunay
`Edges, NumEdges, Tri, Vertices, Walk`

Constructor Summary
`DelaunayClarkson(float[][] samples)` construct a Delaunay triangulation of the points in the samples array using Clarkson's algorithm

Methods inherited from class visad.Delaunay
`clone, factory, finish_triang, getNonConvex, improve, perturb, sampleString, scale, setNonConvex, test, test, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DelaunayClarkson

    public DelaunayClarkson(float[][] samples)
                     throws VisADException

  construct a Delaunay triangulation of the points in the samples array using Clarkson's algorithm

Parameters:
  `samples` - locations of points for topology - dimensioned float[dimension][number_of_points]
Throws:
  `VisADException` - a VisAD error occurred